tt_file_destroy(library call)

NAME
tt_file_destroy — remove objected rooted on a file

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_file_destroy(
const char *filepath);

DESCRIPTION

The tt_file_destroy function removes all objects that exist on the files and directories rooted at filepath. The application must call this function when the application unlinks a file or removes a directory.

The filepath argument is a pointer to the pathname of the file or directory to be removed.

RETURN VALUE

Upon successful completion, the tt_file_destroy function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_ACCESS
    The user does not have the necessary access to the object and/or the process.

TT_ERR_DBAVAIL
    The ToolTalk service could not access the ToolTalk database needed for this operation.

TT_ERR_DBEXIST
    The ToolTalk service could not access the specified ToolTalk database in the expected place. It does not appear to exist; administrative action is required.

TT_ERR_FILE
    The specified file does not exist or it is inaccessible.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PATH
    The specified pathname included an unsearchable directory.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_file_copy(3), tt_file_move(3); unlink(2), rmdir(1).